Subject: iSCSI: SCSI arch model mapping for iSCSI

From: "KRUEGER,MARJORIE (HP-Roseville,ex1)" <[email-masked]>
Date: Wed, 29 Aug 2001 15:28:59 -0700

There a presentation scheduled at the London IETF on the current state of
the SCSI architectural model mapping for iSCSI.  The lively discussion
resulting from other topics squeezed the meetings into overtime and I wasn't
able to give the presentation, however I've posted it on our website for
everyone's viewing pleasure.  The URL is http://storage-arch.hp.com and the
presentation is under the "SAM2-iSCSI Model slides" link.

I just wanted to reiterate here the most important summary of rules for
iSCSI implementations.  Some of these are rules (MUSTs) and some are merely
suggestions for ease of implementation and desired behavior.

Initiators:
	-MUST assign a unique ISID for each session to a 
       target portal group.
	-SHOULD partition ISID namespace between "session
       managers" (eg, HBA)
	-Initiator name should be associated with the
       OS image

Targets:
	-MUST enforce uniqueness rules
	-SHOULD partition TSID namespace between target portal 
       groups (session managers)

There is a more comprehensive discussion of the model and reasoning, as well
as examples in the slides.

Marjorie Krueger
Networked Storage Architecture
Networked Storage Solutions Org.
Hewlett-Packard
tel: +1 916 785 2656
fax: +1 916 785 0391
email: [email-masked]